package com.ss.android.ugc.aweme.emoji.emojichoose.model;

import X.C52754Qx;
import X.J0v;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.base.api.BaseResponse;
import java.util.List;

public final class ResourcesResponse extends BaseResponse {
    @c(LIZ = "navi_stickers_status")
    public final J0v naviStickerStatus;
    @c(LIZ = "navi_stickers")
    public final List<C52754Qx> naviStickers;
    @c(LIZ = "resources")
    public final List<C52754Qx> resources;

    static {
        Covode.recordClassIndex(74212);
    }

    public final J0v getNaviStickerStatus() {
        return this.naviStickerStatus;
    }

    public final List<C52754Qx> getNaviStickers() {
        return this.naviStickers;
    }

    public final List<C52754Qx> getResources() {
        return this.resources;
    }
}
